# Class ChannelPasswordDialog | EchoHub Documentation
Prompts for a channel password when joining a protected channel. Returns the entered password, or null if the user cancels.

# Class ChannelPasswordDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

Prompts for a channel password when joining a protected channel. Returns the entered password, or null if the user cancels.

    public sealed class ChannelPasswordDialog

Inheritance
  object
  ChannelPasswordDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ChannelPasswordDialog()

    public ChannelPasswordDialog()

## Methods

### Show(IApplication, string, string?)

    public static string? Show(IApplication app, string channelName, string? message = null)

#### Parameters

`app` IApplication
`channelName` string
`message` string

#### Returns

string